from dataclasses import dataclass
from typing import Tuple, Union, NewType, Dict, Any

Node = int
Edge = Tuple[Node, Node]

NodeData = Dict[str, Any]
EdgeData = Dict[str, Any]

Wh = NewType('Wh', Union[float, int])
SoC = NewType('SoC', Wh)

ChargingCoefficient = Union[float, int, None]

Time = Union[float, int]
